Package org.eclipse.net4j.signal

# Class MonitorProgressRequest

java.lang.Object
org.eclipse.net4j.signal.Signal
org.eclipse.net4j.signal.SignalActor
org.eclipse.net4j.signal.Request
org.eclipse.net4j.signal.MonitorProgressRequest

All Implemented Interfaces:
  `Runnable`, `org.eclipse.net4j.util.container.IManagedContainerProvider`

public class MonitorProgressRequest extends Request

Since:
  4.4
Author:
  Eike Stepper

## Field Summary

### Fields inherited from class org.eclipse.net4j.signal.Signal

`NO_TIMEOUT`

## Constructor Summary

Constructors
Constructor
Description
`MonitorProgressRequest(SignalProtocol<?> protocol, int correlationID, double totalWork, double work)`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`requesting(org.eclipse.net4j.util.io.ExtendedDataOutputStream out)`

### Methods inherited from class org.eclipse.net4j.signal.Request

`sendAsync`

### Methods inherited from class org.eclipse.net4j.signal.SignalActor

`execute`

### Methods inherited from class org.eclipse.net4j.signal.Signal

`closeChannelAfterMe, closeInputStreamAfterMe, closeOutputStreamAfterMe, finishInputStream, finishOutputStream, flush, getAdditionalInfo, getBufferInputStream, getBufferOutputStream, getContainer, getCorrelationID, getCurrentInputStream, getCurrentOutputStream, getID, getName, getProtocol, handleRunException, run, toString, toString, wrapInputStream, wrapOutputStream`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### MonitorProgressRequest

public MonitorProgressRequest(SignalProtocol<?> protocol, int correlationID, double totalWork, double work)

## Method Details

### requesting

protected void requesting(org.eclipse.net4j.util.io.ExtendedDataOutputStream out) throws Exception

Specified by:
  `requesting` in class `Request`
Throws:
  `Exception`